Method: inventorySourceGroups.delete

  • The documentation outlines how to delete an inventory source group using an HTTP DELETE request.

  • Deleting an inventory source group requires specifying the inventorySourceGroupId as a path parameter.

  • The request also requires an owner query parameter, which can be either a partnerId or an advertiserId, to identify the owning entity.

  • The request body should be empty, and a successful response will also have an empty body.

  • The deletion requires authorization using the https://www.googleapis.com/auth/display-video OAuth scope.

Deletes an inventory source group.

HTTP request

DELETE https://displayvideo.googleapis.com/v4/inventorySourceGroups/{inventorySourceGroupId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
inventorySourceGroupId

string (int64 format)

Required. The ID of the inventory source group to delete.

Query parameters

Parameters
Required. Identifies the DV360 entity that owns the inventory source group. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the partner that owns the inventory source group.

Only this partner has write access to this group.

advertiserId

string (int64 format)

The ID of the advertiser that owns the inventory source group.

The parent partner does not have access to this group.

End of mutually exclusive fields.

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.